<?php
/**
 *	@package		SendInBlue
 *	@subpackage		subscriptionformlist.php
 *	@version		1.0.0
 *
 *	@author			Branislav Gligorov <branislav.gligorov@itsbg.eu>	
 *	@copyright		Copyright (C) 2018 SendInBlue, All Rights Reserved
 *	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
 */


// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

/**
 * Subscriptionformlist Form Field class for the Sendinblue component
 */
class JFormFieldSubscriptionformlist extends JFormFieldList
{
	/**
	 * The subscriptionformlist field type.
	 *
	 * @var		string
	 */
	public $type = 'subscriptionformlist';

	/**
	 * Method to get a list of options for a list input.
	 *
	 * @return	array    An array of JHtml options.
	 */
	protected function getOptions()
	{
		$db = JFactory::getDBO();
$query = $db->getQuery(true);
$query->select($db->quoteName(array('a.id','a.title'),array('id','subscriptionformid_title')));
$query->from($db->quoteName('#__sendinblue_subscription_form', 'a'));
$query->where($db->quoteName('a.published') . ' = 1');
$query->order('a.title ASC');
$db->setQuery((string)$query);
$items = $db->loadObjectList();
$options = array();
if ($items)
{
	$options[] = JHtml::_('select.option', '', 'Select an option');
	foreach($items as $item)
	{
		$options[] = JHtml::_('select.option', $item->id, $item->subscriptionformid_title);
	}
}

return $options;
	}
}
